Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18048

Description

The current line offset algorithm used in line symbol layers is prone to extreme jagged spikes and other rendering errors. This could be

improved by implementing changes like those in this mapnik pull request:

https://github.com/mapnik/mapnik/pull/1269/files

Or by implementing a similar routine to that used by PostGIS' ST_OffsetCurve function.

Associated revisions

Revision bb7cd405 - 2014-03-03 08:04 AM - Martin Dobias

Merge pull request #1205 from ahuarte47/Issue_9485

Fix #9456 #9485: Line Offset in symbology generates artifacts

History

#1 - 2014-02-16 01:10 PM - Giovanni Manghi

- Target version set to Version 2.2

see also #9485

#2 - 2014-02-20 03:01 PM - Alvaro Huarte

- File issue_9485-results.JPG added

This pull request ( https://github.com/qgis/QGIS/pull/1205 ) improves the offset of lines using GEOSOffsetCurve if GEOS 3.3 is available.

Results:
https://github.com/mapnik/mapnik/pull/1269/files
https://github.com/qgis/QGIS/pull/1205


#3 - 2014-03-02 11:04 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"bb7cd4053a9aa676466ce3ea4212956e2a712537".

Files

issue_9485-results.JPG 120 KB 2014-02-20 Alvaro Huarte
